%{?mingw_package_header}

%global pkgname python3
%global py_ver 3.7
%global mingw32_py3_libdir       %{mingw32_libdir}/python%{py_ver}
%global mingw64_py3_libdir       %{mingw64_libdir}/python%{py_ver}
%global mingw32_py3_hostlibdir   %{_prefix}/%{mingw32_target}/lib/python%{py_ver}
%global mingw64_py3_hostlibdir   %{_prefix}/%{mingw64_target}/lib/python%{py_ver}
%global mingw32_py3_incdir       %{mingw32_includedir}/python%{py_ver}m
%global mingw64_py3_incdir       %{mingw64_includedir}/python%{py_ver}m
%global mingw32_python3_sitearch %{mingw32_libdir}/python%{py_ver}/site-packages
%global mingw64_python3_sitearch %{mingw64_libdir}/python%{py_ver}/site-packages

# Some of the files below /usr/lib/pythonMAJOR.MINOR/test  (e.g. bad_coding.py)
# are deliberately invalid, leading to SyntaxError exceptions if they get
# byte-compiled.
%global _python_bytecompile_errors_terminate_build 0

Name:          mingw-%{pkgname}
Version:       3.7.4
Release:       1%{?dist}
Summary:       MinGW Windows %{pkgname}

BuildArch:     noarch
License:       Python
URL:           https://www.python.org/
Source0:       http://www.python.org/ftp/python/%{version}/Python-%{version}.tar.xz

## From https://github.com/Alexpux/MINGW-packages/tree/master/mingw-w64-python3
# Ray Donnelly's should-be-upstreamed patches
Patch0:        0000-make-_sysconfigdata.py-relocatable.patch
Patch1:        0001-fix-_nt_quote_args-using-subprocess-list2cmdline.patch
Patch2:        0002-restore-setup-config.patch

# Roumen Petrov's core patches
Patch10:       0100-MINGW-BASE-use-NT-thread-model.patch
Patch11:       0110-MINGW-translate-gcc-internal-defines-to-python-platf.patch
Patch12:       0130-MINGW-configure-MACHDEP-and-platform-for-build.patch
Patch13:       0140-MINGW-preset-configure-defaults.patch
Patch14:       0150-MINGW-configure-largefile-support-for-windows-builds.patch
Patch15:       0170-MINGW-add-srcdir-PC-to-CPPFLAGS.patch
Patch16:       0180-MINGW-init-system-calls.patch
Patch17:       0200-MINGW-build-in-windows-modules-winreg.patch
Patch18:       0210-MINGW-determine-if-pwdmodule-should-be-used.patch
Patch19:       0230-MINGW-AC_LIBOBJ-replacement-of-fileblocks.patch

# Roumen Petrov's compiler patch
Patch20:       0250-MINGW-compiler-customize-mingw-cygwin-compilers.patch
Patch21:       0260-MINGW-compiler-enable-new-dtags.patch

# Roumen Petrov's extensions patches
Patch22:       0290-issue6672-v2-Add-Mingw-recognition-to-pyport.h-to-al.patch
Patch23:       0300-MINGW-configure-for-shared-build.patch
Patch24:       0310-MINGW-dynamic-loading-support.patch
Patch25:       0330-MINGW-ignore-main-program-for-frozen-scripts.patch
Patch26:       0340-MINGW-setup-exclude-termios-module.patch
Patch27:       0350-MINGW-setup-_multiprocessing-module.patch
Patch28:       0360-MINGW-setup-select-module.patch
Patch29:       0370-MINGW-setup-_ctypes-module-with-system-libffi.patch
Patch30:       0380-MINGW-defect-winsock2-and-setup-_socket-module.patch
Patch31:       0390-MINGW-exclude-unix-only-modules.patch
Patch32:       0400-MINGW-setup-msvcrt-and-_winapi-modules.patch
Patch33:       0410-MINGW-build-extensions-with-GCC.patch
Patch34:       0420-MINGW-use-Mingw32CCompiler-as-default-compiler-for-m.patch
Patch35:       0430-MINGW-find-import-library.patch
Patch36:       0440-MINGW-setup-_ssl-module.patch
Patch37:       0460-MINGW-generalization-of-posix-build-in-sysconfig.py.patch
Patch38:       0462-MINGW-support-stdcall-without-underscore.patch
Patch39:       0464-use-replace-instead-rename-to-avoid-failure-on-windo.patch
Patch40:       0470-MINGW-avoid-circular-dependency-from-time-module-dur.patch
Patch41:       0480-MINGW-generalization-of-posix-build-in-distutils-sys.patch
Patch42:       0490-MINGW-customize-site.patch

# Ray Donnelly's general/cross patches
Patch43:       0500-add-python-config-sh.patch
Patch44:       0510-cross-darwin-feature.patch
Patch45:       0520-py3k-mingw-ntthreads-vs-pthreads.patch
Patch46:       0530-mingw-system-libffi.patch
Patch47:       0555-msys-mingw-prefer-unix-sep-if-MSYSTEM.patch
Patch48:       0560-mingw-use-posix-getpath.patch
Patch49:       0565-mingw-add-ModuleFileName-dir-to-PATH.patch
Patch50:       0570-mingw-add-BUILDIN_WIN32_MODULEs-time-msvcrt.patch
Patch51:       0610-msys-cygwin-semi-native-build-sysconfig.patch
Patch52:       0620-mingw-sysconfig-like-posix.patch
Patch53:       0630-mingw-_winapi_as_builtin_for_Popen_in_cygwinccompiler.patch
Patch54:       0640-mingw-x86_64-size_t-format-specifier-pid_t.patch
Patch55:       0650-cross-dont-add-multiarch-paths-if-cross-compiling.patch
Patch56:       0660-mingw-use-backslashes-in-compileall-py.patch
Patch57:       0670-msys-convert_path-fix-and-root-hack.patch
Patch58:       0690-allow-static-tcltk.patch

Patch59:       0720-mingw-pdcurses_ISPAD.patch
Patch60:       0740-grammar-fixes.patch
Patch61:       0750-builddir-fixes.patch
Patch62:       0760-msys-monkeypatch-os-system-via-sh-exe.patch
Patch63:       0770-msys-replace-slashes-used-in-io-redirection.patch
Patch64:       0800-mingw-install-layout-as-posix.patch
Patch65:       0810-remove_path_max.default.patch
Patch66:       0820-dont-link-with-gettext.patch
Patch67:       0830-ctypes-python-dll.patch
Patch68:       0840-gdbm-module-includes.patch
Patch69:       0850-use-gnu_printf-in-format.patch
Patch70:       0870-mingw-fix-ssl-dont-use-enum_certificates.patch
Patch71:       0890-mingw-build-optimized-ext.patch
Patch72:       0900-cygwinccompiler-dont-strip-modules-if-pydebug.patch
Patch73:       0910-fix-using-dllhandle-and-winver-mingw.patch
Patch74:       0920-mingw-add-LIBPL-to-library-dirs.patch
Patch75:       0930-mingw-w64-build-overlapped-module.patch
Patch76:       0940-mingw-w64-Also-define-_Py_BEGIN_END_SUPPRESS_IPH-when-Py_BUILD_CORE_MODULE.patch
Patch77:       0970-Add-AMD64-to-sys-config-so-msvccompiler-get_build_version-works.patch
Patch78:       0990-MINGW-link-with-additional-library.patch
Patch79:       1010-install-msilib.patch

# New patches added for the update from 3.5.3 to 3.6.1
Patch80:       1620-fix-signal-module-build.patch
Patch81:       1630-build-winconsoleio.patch
Patch82:       1650-expose-sem_unlink.patch

# Extend some isatty calls to check for mintty when checking for
# a terminal output.
# https://github.com/Alexpux/MINGW-packages/issues/2645
# https://github.com/Alexpux/MINGW-packages/issues/2656
Patch83:       1700-cygpty-isatty.patch

# gdbm is broken and as a result breaks dbm/shelve.
# Don't include it so the dbm.dumb backend is used instead,
# like with the official CPython build.
Patch84:       1701-disable-broken-gdbm-module.patch

# https://github.com/Alexpux/MINGW-packages/issues/3139
Patch85:       1800-link-win-resource-files-and-build-pythonw.patch

Patch86:       1810-3.7-mpdec-mingw.patch
Patch87:       1830-mingw-implement-setenv-for-PY_COERCE_C_LOCALE.patch
Patch88:       1850-disable-readline.patch
Patch89:       1860-fix-isselectable.patch
Patch90:       2020-use-_wcsnicmp-instead-wcsncasecmp.patch

Patch91:       2000-warnings-fixes.patch

# https://github.com/python/cpython/pull/9258
Patch92:       1900-ctypes-dont-depend-on-internal-libffi.patch

# https://github.com/msys2/MINGW-packages/issues/5184
Patch93:       2010-configure-have-inet-pton.patch

# https://github.com/msys2/MINGW-packages/issues/5155
Patch94:       2030-fix-msvc9-import.patch

# Fedora specific patches
# Get windres executable name from environment
Patch100:      %{name}_windres.patch


BuildRequires: automake autoconf libtool
BuildRequires: python3-devel

BuildRequires: mingw32-filesystem >= 102
BuildRequires: mingw32-gcc
# Needed for correct value of CXX in _sysconfigdata.py
BuildRequires: mingw32-gcc-c++
BuildRequires: mingw32-bzip2
BuildRequires: mingw32-dlfcn
BuildRequires: mingw32-expat
BuildRequires: mingw32-libffi
BuildRequires: mingw32-openssl
BuildRequires: mingw32-readline
BuildRequires: mingw32-sqlite
BuildRequires: mingw32-tcl
BuildRequires: mingw32-tk

BuildRequires: mingw64-filesystem >= 102
BuildRequires: mingw64-gcc
# Needed for correct value of CXX in _sysconfigdata.py
BuildRequires: mingw64-gcc-c++
BuildRequires: mingw64-bzip2
BuildRequires: mingw64-dlfcn
BuildRequires: mingw64-expat
BuildRequires: mingw64-libffi
BuildRequires: mingw64-openssl
BuildRequires: mingw64-readline
BuildRequires: mingw64-sqlite
BuildRequires: mingw64-tcl
BuildRequires: mingw64-tk


%description
MinGW Windows %{pkgname} library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Requires:      python3

%description -n mingw32-%{pkgname}
MinGW Windows %{pkgname} library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows %{pkgname} library
Requires:      python3

%description -n mingw64-%{pkgname}
MinGW Windows %{pkgname} library.


%{?mingw_debug_package}


%prep
%setup -q -n Python-%{version}

# these are created by patches
rm -f Misc/config_mingw \
      Misc/cross_mingw32 \
      Modules/Setup.config.in \
      Python/fileblocks.c

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p1
%patch13 -p1
%patch14 -p1
%patch15 -p1
%patch16 -p1
%patch17 -p1
%patch18 -p1
%patch19 -p1
%patch20 -p1
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch100 -p1

autoreconf -vfi

touch Include/graminit.h
touch Python/graminit.c
touch Parser/Python.asdl
touch Parser/asdl.py
touch Parser/asdl_c.py
touch Include/Python-ast.h
touch Python/Python-ast.c
echo \"\" > Parser/pgen.stamp

# Ensure that we are using the system copy of various libraries rather than copies shipped in the tarball
rm -r Modules/expat
rm -r Modules/_ctypes/{darwin,libffi}*


%build
export MINGW32_MAKE_ARGS="WINDRES=i686-w64-mingw32-windres"
export MINGW64_MAKE_ARGS="WINDRES=x86_64-w64-mingw32-windres"

export MINGW32_CFLAGS="%mingw32_cflags -D_GNU_SOURCE -D__USE_MINGW_ANSI_STDIO=1 -D_WIN32_WINNT=0x0601"
export MINGW64_CFLAGS="%mingw64_cflags -D_GNU_SOURCE -D__USE_MINGW_ANSI_STDIO=1 -D_WIN32_WINNT=0x0601"


MSYSTEM=MINGW %mingw_configure \
--enable-shared \
--with-threads \
--with-system-expat \
--with-system-ffi

%mingw_make %{?_smp_mflags}


%install
%mingw32_make -C build_win32 DESTDIR=%{buildroot} install
%mingw64_make -C build_win64 DESTDIR=%{buildroot} install

# Link import library to libdir
ln -s %{mingw32_py3_libdir}/config-%{py_ver}m/libpython%{py_ver}m.dll.a %{buildroot}%{mingw32_libdir}/libpython%{py_ver}m.dll.a
ln -s %{mingw64_py3_libdir}/config-%{py_ver}m/libpython%{py_ver}m.dll.a %{buildroot}%{mingw64_libdir}/libpython%{py_ver}m.dll.a

# Copy some useful "stuff"
install -dm755 %{buildroot}%{mingw32_py3_libdir}/Tools/{i18n,scripts}
install -dm755 %{buildroot}%{mingw64_py3_libdir}/Tools/{i18n,scripts}
install -pm755 Tools/i18n/{msgfmt,pygettext}.py %{buildroot}%{mingw32_py3_libdir}/Tools/i18n/
install -pm755 Tools/i18n/{msgfmt,pygettext}.py %{buildroot}%{mingw64_py3_libdir}/Tools/i18n/
install -pm755 Tools/scripts/{README,*py} %{buildroot}%{mingw32_py3_libdir}/Tools/scripts/
install -pm755 Tools/scripts/{README,*py} %{buildroot}%{mingw64_py3_libdir}/Tools/scripts/

# Cleanup shebangs
find %{buildroot}%{mingw32_py3_libdir}/ -name '*.py' | xargs sed -i "s|#[ ]*![ ]*/usr/bin/env python$|#!/usr/bin/python3|"
find %{buildroot}%{mingw64_py3_libdir}/ -name '*.py' | xargs sed -i "s|#[ ]*![ ]*/usr/bin/env python$|#!/usr/bin/python3|"

# Remove references to build directory
for file in config-%{py_ver}m/Makefile _sysconfigdata_m_win_.py; do
    sed -i "s|%{_builddir}|/build|g" %{buildroot}%{mingw32_py3_libdir}/$file
    sed -i "s|%{_builddir}|/build|g" %{buildroot}%{mingw64_py3_libdir}/$file
done

# Fix permissons
find %{buildroot} -type f | xargs chmod 0644
find %{buildroot} -type f \( -name "*.dll" -o -name "*.exe" \) | xargs chmod 0755

# Don't ship manpages
rm -rf %{buildroot}%{mingw32_mandir}
rm -rf %{buildroot}%{mingw64_mandir}

# Mingw python host wrappers
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_prefix}/%{mingw32_target}/bin/
mkdir -p %{buildroot}%{_prefix}/%{mingw64_target}/bin/

cat > %{buildroot}%{_prefix}/%{mingw32_target}/bin/python3 <<EOF
#!/bin/sh
pylibdynload=\$(/usr/bin/python3 -c 'import sysconfig; import os; print(os.path.join(sysconfig.get_path("platstdlib"), "lib-dynload"))')
_PYTHON_SYSCONFIGDATA_NAME="_sysconfigdata_m_win_" PYTHONHOME=%{mingw32_prefix} PYTHONPATH=\$PYTHONPATH:%{mingw32_py3_hostlibdir}:%{mingw32_py3_hostlibdir}/site-packages:\$pylibdynload:%{mingw32_py3_libdir}:%{mingw32_python3_sitearch} /usr/bin/python3 "\$@"
EOF

cat > %{buildroot}%{_prefix}/%{mingw64_target}/bin/python3 <<EOF
#!/bin/sh
pylibdynload=\$(/usr/bin/python3 -c 'import sysconfig; import os; print(os.path.join(sysconfig.get_path("platstdlib"), "lib-dynload"))')
_PYTHON_SYSCONFIGDATA_NAME="_sysconfigdata_m_win_" PYTHONHOME=%{mingw64_prefix} PYTHONPATH=\$PYTHONPATH:%{mingw64_py3_hostlibdir}:%{mingw64_py3_hostlibdir}/site-packages:\$pylibdynload:%{mingw64_py3_libdir}:%{mingw64_python3_sitearch} /usr/bin/python3 "\$@"
EOF

chmod +x %{buildroot}%{_prefix}/%{mingw32_target}/bin/python3
chmod +x %{buildroot}%{_prefix}/%{mingw64_target}/bin/python3

ln -s %{_prefix}/%{mingw32_target}/bin/python3 %{buildroot}%{_bindir}/mingw32-python3
ln -s %{_prefix}/%{mingw64_target}/bin/python3 %{buildroot}%{_bindir}/mingw64-python3

# Host site-packages skeleton
mkdir -p %{buildroot}%{mingw32_py3_hostlibdir}/site-packages
mkdir -p %{buildroot}%{mingw64_py3_hostlibdir}/site-packages

# Hackishly faked distutils/sysconfig.py
mkdir -p %{buildroot}%{mingw32_py3_hostlibdir}/distutils
mkdir -p %{buildroot}%{mingw64_py3_hostlibdir}/distutils
pushd %{buildroot}%{mingw32_libdir}/python%{py_ver}/distutils/
for file in *.py; do
    ln -s %{mingw32_libdir}/python%{py_ver}m/distutils/$file %{buildroot}%{mingw32_py3_hostlibdir}/distutils/$file
done
popd
pushd %{buildroot}%{mingw64_libdir}/python%{py_ver}/distutils/
for file in *.py; do
    ln -s %{mingw64_libdir}/python%{py_ver}m/distutils/$file %{buildroot}%{mingw64_py3_hostlibdir}/distutils/$file
done
popd
ln -s %{mingw32_py3_libdir}/distutils/command %{buildroot}%{mingw32_py3_hostlibdir}/distutils/command
ln -s %{mingw64_py3_libdir}/distutils/command %{buildroot}%{mingw64_py3_hostlibdir}/distutils/command
rm %{buildroot}%{mingw32_py3_hostlibdir}/distutils/sysconfig.py
rm %{buildroot}%{mingw64_py3_hostlibdir}/distutils/sysconfig.py
cat > %{buildroot}%{mingw32_py3_hostlibdir}/distutils/sysconfig.py <<EOF
import imp
_sysconfig = imp.load_source('_sysconfig', '%{mingw32_py3_libdir}/distutils/sysconfig.py')
from _sysconfig import *
# Overwrite methods from sysconfig
get_python_inc = lambda plat_specific=0, prefix=None: "%{mingw32_py3_incdir}"
get_python_lib = lambda plat_specific=0, standard_lib=0, prefix=None: "%{mingw32_python3_sitearch}"
EOF
cat > %{buildroot}%{mingw64_py3_hostlibdir}/distutils/sysconfig.py <<EOF
import imp
_sysconfig = imp.load_source('_sysconfig', '%{mingw64_py3_libdir}/distutils/sysconfig.py')
from _sysconfig import *
# Overwrite methods from sysconfig
get_python_inc = lambda plat_specific=0, prefix=None: "%{mingw64_py3_incdir}"
get_python_lib = lambda plat_specific=0, standard_lib=0, prefix=None: "%{mingw64_python3_sitearch}"
EOF

# mingw-python rpm macros
mkdir -p %{buildroot}%{_rpmconfigdir}/macros.d
cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.mingw32-python3 <<EOF
%%mingw32_python3 %{_prefix}/%{mingw32_target}/bin/python3
%%mingw32_python3_sitearch %{mingw32_python3_sitearch}
%%mingw32_python3_version %{py_ver}
EOF
cat > %{buildroot}%{_rpmconfigdir}/macros.d/macros.mingw64-python3 <<EOF
%%mingw64_python3 %{_prefix}/%{mingw64_target}/bin/python3
%%mingw64_python3_sitearch %{mingw64_python3_sitearch}
%%mingw64_python3_version %{py_ver}
EOF

# TODO: These cause unsatisfyable requires on msvcr71.dll
rm -f %{buildroot}%{mingw32_py3_libdir}/distutils/command/wininst-7.1.exe
rm -f %{buildroot}%{mingw64_py3_libdir}/distutils/command/wininst-7.1.exe

# Drop unversioned 2to3, it is already provided by mingw{32-64}-python2
rm %{buildroot}%{mingw32_bindir}/2to3
rm %{buildroot}%{mingw64_bindir}/2to3

# Drop pip stuff installed to native dirs
rm -f %{buildroot}%{_bindir}/pip*
rm -rf %{buildroot}%{_prefix}/lib/python%{py_ver}/site-packages/pip*


%files -n mingw32-%{pkgname}
%license LICENSE
%{_bindir}/mingw32-python3
%{_rpmconfigdir}/macros.d/macros.mingw32-python3
%{_prefix}/%{mingw32_target}/bin/python3
%{mingw32_py3_hostlibdir}/
%{mingw32_bindir}/2to3-%{py_ver}
%{mingw32_bindir}/idle3*
%{mingw32_bindir}/pydoc3*
%{mingw32_bindir}/pyvenv*
%{mingw32_bindir}/python3.exe
%{mingw32_bindir}/python3-config
%{mingw32_bindir}/python%{py_ver}.exe
%{mingw32_bindir}/python%{py_ver}-config
%{mingw32_bindir}/python%{py_ver}m.exe
%{mingw32_bindir}/python%{py_ver}m-config
%{mingw32_bindir}/python3w.exe
%{mingw32_bindir}/libpython%{py_ver}m.dll
%{mingw32_py3_incdir}/
%{mingw32_libdir}/libpython%{py_ver}m.dll.a
%{mingw32_py3_libdir}/
%{mingw32_libdir}/pkgconfig/*.pc

%files -n mingw64-%{pkgname}
%license LICENSE
%{_bindir}/mingw64-python3
%{_rpmconfigdir}/macros.d/macros.mingw64-python3
%{_prefix}/%{mingw64_target}/bin/python3
%{mingw64_py3_hostlibdir}/
%{mingw64_bindir}/2to3-%{py_ver}
%{mingw64_bindir}/idle3*
%{mingw64_bindir}/pydoc3*
%{mingw64_bindir}/pyvenv*
%{mingw64_bindir}/python3.exe
%{mingw64_bindir}/python3-config
%{mingw64_bindir}/python%{py_ver}.exe
%{mingw64_bindir}/python%{py_ver}-config
%{mingw64_bindir}/python%{py_ver}m.exe
%{mingw64_bindir}/python%{py_ver}m-config
%{mingw64_bindir}/python3w.exe
%{mingw64_bindir}/libpython%{py_ver}m.dll
%{mingw64_py3_incdir}/
%{mingw64_libdir}/libpython%{py_ver}m.dll.a
%{mingw64_py3_libdir}/
%{mingw64_libdir}/pkgconfig/*.pc


%changelog
* Tue Jul 09 2019 Sandro Mani <manisandro@gmail.com> - 3.7.4-1
- Update to 3.7.4

* Wed May 01 2019 Sandro Mani <manisandro@gmail.com> - 3.7.3-3
- %%define -> %%global

* Wed Apr 24 2019 Sandro Mani <manisandro@gmail.com> - 3.7.3-2
- Set _PYTHON_SYSCONFIGDATA_NAME in host wrapper

* Tue Apr 23 2019 Sandro Mani <manisandro@gmail.com> - 3.7.3-1
- Initial package
